Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.transaction
Interface IsolatedWork

    public interface IsolatedWork

Represents work that needs to be performed in a manner which isolates it from any current application unit of work transaction.

Author:
  Steve Ebersole

Method Summary
`void` | `doWork(Connection connection)` Perform the actual work to be done.

Method Detail

### doWork

    void doWork(Connection connection)
                throws HibernateException

  Perform the actual work to be done.

  Parameters:
    `connection` - The JDBC connection to use.
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.